Bug 213461 - intercepting special keys does not always work
intercepting special keys does not always work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 11:07 EST by Matthias Clasen
Modified: 2008-01-15 09:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demo app (5.00 KB, text/x-csrc)
2006-11-01 11:11 EST, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2006-11-01 11:07:39 EST
I investigated how I can make the X server not switch vt on Ctrl-Alt-Fn and
instead let an app get the event (the xen graphical console, to be concrete).

I figured out how to do this by tweaking the XKB compat map and remove all
SwitchScreen functions, as can be seen in the attached demo program.

Then I tried to use the same trick for TerminateServer (Ctrl-Alt-Backspace),
but it does not work. Even if I set
Option "HandleSpecialKeys" "Never" in xorg.conf, the X server insists on
killing itself on Ctrl-Alt-Backspace, independently of the presence of
TerminateServer actions in the XKB maps. 
And setting Option "DontZap" "on" just turns of the TerminateServer action
altogether.

What I would expect to happen is that if HandleSpecialKeys is "Never", I
should be able to control the TerminateServer action via XKB.

I haven't tested if this problem also exists for the other special keys
(grab breaking, resolution changing, etc)
Comment 1 Matthias Clasen 2006-11-01 11:11:26 EST
Created attachment 139999 [details]
demo app
Comment 2 Matěj Cepl 2007-12-10 04:22:44 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:39:47 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.